# $Revision: 1.36 $, $Date: 2012/02/11 09:50:55 $
#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires configured test server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Test
Summary:	Apache::Test - Test.pm wrapper with helpers for testing Apache
Summary(pl.UTF-8):	Apache::Test - wrapper na Test.pm z funkcjami do testowania Apache
Name:		perl-Apache-Test
Version:	1.37
Release:	1
Epoch:		1
License:	Apache Software License 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	179f247fc5c7d11387b9c73ae3fa6f71
URL:		http://search.cpan.org/dist/Apache-Test/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	apache-mod_env
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# mod_perl 2.x deps, but this module is supposed to work with mod_perl 1.x too
%define		_noautoreq	'perl(Apache2::Const)' 'perl(ModPerl::Config)'

%description
Apache::Test is a wrapper around the standard Test.pm with helpers for
testing an Apache server.

%description -l pl.UTF-8
Apache::Test to moduł opakowujący standardowy Test.pm z funkcjami
pomocniczymi do testowania serwera Apache.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}%{?_rc}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
rm -f .mypacklist # contains list of files - install will try to remove them
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Bundle/ApacheTest.pm
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Apache/TestConfigData.pm
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Apache/Test/.packlist

#mans make conflict with identical mans from perl-mod_perl
rm -rf $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README SUPPORT ToDo
%{perl_vendorlib}/Apache/Test*.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Test.spec,v $
Revision 1.36  2012/02/11 09:50:55  zbyniu
- up to 1.37

Revision 1.35  2011/07/11 20:31:11  marti
- up to 1.36

Revision 1.34  2009/10/27 09:31:33  amateja
- removed duplicated man pages due to conflict with perl-mod_perl package
- release 2

Revision 1.33  2007/12/23 22:26:02  zbyniu
- up to 1.30

Revision 1.32  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.30  2006/12/07 09:58:08  glen
- 1.29
- change url to CPAN generic, as that has at least some content

Revision 1.29  2006/09/08 11:57:41  radek
- version 1.29 rc1

Revision 1.28  2006/07/30 16:00:17  hawk
- epoch 1 (packages on ftp already have it somehow, current build had 0)
- release 2

Revision 1.27  2006/07/25 20:00:36  qboosh
- updated md5

Revision 1.26  2006/07/25 19:58:13  glen
- 1.28

Revision 1.25  2006/02/16 12:26:40  glen
- conditional mod_perl deps, rel 3

Revision 1.24  2006/01/18 09:14:01  baggins
- release 2

Revision 1.23  2006/01/18 09:09:33  baggins
- building mod_perl...

Revision 1.22  2005/12/29 18:54:05  glen
- TestConfigData.pm looks like dummy (and wasn't installed by mod_perl)

Revision 1.21  2005/12/29 11:27:55  glen
- 1.27

Revision 1.20  2005/09/06 21:45:29  glen
- updated to 1.26, STBR

Revision 1.19  2005/01/09 14:23:27  adamg
- updated to 1.19

Revision 1.18  2005/01/07 12:14:30  adamg
- release 2 (for fixed deps on ac-i386)

Revision 1.17  2005/01/03 18:34:18  adamg
- updated to 1.18

Revision 1.16  2004/12/01 12:17:42  radek
- autoupdated to 1.16

Revision 1.15  2004/11/03 19:42:57  paladine
- formatting

Revision 1.14  2004/10/24 11:19:07  blaass
- updated to 1.15

Revision 1.13  2004/08/21 20:49:49  adamg
- updated to 1.13

Revision 1.12  2004/08/08 17:10:03  adamg
- updated to 1.12

Revision 1.11  2004/05/30 16:48:54  adamg
- updated to 1.11

Revision 1.10  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.9  2004/05/06 18:43:02  ankry
- fixed perl-devel BR

Revision 1.8  2004/05/04 21:31:24  ankry
- spaces -> tabs

Revision 1.7  2004/05/04 21:26:59  radek
- added %bcond_without autodeps for BR:apache-mod_perl

Revision 1.6  2004/04/19 07:10:20  adamg
- updated to 1.10

Revision 1.5  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.4  2004/04/11 04:53:42  agaran
- updated to 1.09

Revision 1.3  2003/12/24 23:45:24  migo
- up to 1.07

Revision 1.2  2003/11/16 12:53:51  migo
- up to 1.06

Revision 1.1  2003/10/24 22:00:36  qboosh
- new
